Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-20829

Correct the upgrade screen to state that multiple upgrades from Nexus 2.x to 3.y is not supported.

    XMLWordPrintable

    Details

    • Notability:
      4

      Description

      The Nexus 2.x to 3.y upgrade documentation clearly states multiple upgrades is not supported and the upgrade should be done on one shot.

      Using an existing installation of Nexus Repository Manager 3 populated with data and configuration as the target repository manager is not supported. The upgrade should be done against a new Nexus Repository Manager 3 installation (a single node, not HA) that does not contain existing configuration. Note that this means the upgrade must be done in one shot, running the upgrade multiple times is not supported.

      https://help.sonatype.com/repomanager3/upgrading#Upgrading-Upgradingfrom2.xto3.y

       

      The upgrade screen in Nexus 3 states the following, which is incorrect and should be corrected to state the same as the upgrade documentation.

      Upgrade is incremental. We recommend upgrading one or two repositories first to ensure that the process works, then repeat the process and upgrade the rest.

       

        Attachments

          Activity

            People

            Assignee:
            jtom Joe Tom
            Reporter:
            msurani Mahendra Surani
            Last Updated By:
            Wes Wannemacher Wes Wannemacher
            Team:
            NXRM - Operations/Groot
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Date of First Response:

                tigCommentSecurity.panel-title